# -*- coding: utf-8 -*-
class TokenException(Exception):
    def __init__(self):
        super().__init__()

class AuthException(Exception):
    def __init__(self, errmsg: str):
        super().__init__()
        self.errmsg = errmsg

class ParamException(Exception):
    def __init__(self, param: str):
        super().__init__()
        self.param = param

class Common404Exception(Exception):
    def __init__(self):
        super().__init__()


class AppException(Exception):
    def __init__(self, errcode: int, errmsg: str):
        super().__init__()
        self.errcode = errcode
        self.errmsg = errmsg

class AlertException(Exception):
    def __init__(self, ret: int, msg: str):
        super().__init__()
        self.ret = ret
        self.msg = msg

class XssException(Exception):
    def __init__(self):
        super().__init__()